Subject: bug#77752: closed (Re: [bug#77752] [PATCH v2 1/2] gnu: fwupd: Add elogind input)

From: [email-masked] (GNU bug Tracking System)
Date: Tue, 15 Apr 2025 08:25:08 +0000

Your bug report

#77752: [PATCH] gnu: fwupd: Add elogind input

which was filed against the guix-patches package, has been closed.

The explanation is attached below, along with your original report.
If you require more details, please reply to [email-masked].

-- 
77752: https://debbugs.gnu.org/cgi/bugreport.cgi?bug=77752
GNU Bug Tracking System
Contact [email-masked] with problems

Subject: Re: [bug#77752] [PATCH v2 1/2] gnu: fwupd: Add elogind input
From: Ludovic Courtès <[email-masked]>
To: Rutherther <[email-masked]>
Cc: Vagrant Cascadian <[email-masked]>, [email-masked], Efraim Flashner <[email-masked]>
Date: Tue, 15 Apr 2025 10:10:01 +0200
List-Id: <debbugs-submit.debbugs.gnu.org>

Rutherther <[email-masked]> writes:

> The fwupd package doesn't contain the dbus service in
> share/dbus-1/system-service, that is because it is installed only
> conditionally when elogind is available.
>
> This will introduce the service in the output, so user's won't have to start
> fwupd themselves, it will get started by dbus on demand.
>
> I don't think this should break anything for systems that do not use elogin,
> the only places this is used will fall back to error:
> - https://github.com/fwupd/fwupd/blob/1.8.14/src/fu-util-common.c#L242,
> - https://github.com/fwupd/fwupd/blob/1.8.14/src/fu-util-common.c#L287
> Meaning users without elogind will get error either way, just a different kind
> of error.
>
> * gnu/packages/firmware.scm: (fwupd)[inputs]: Add elogind
>
> Change-Id: Id44001de6950bb6b39f1b3bba316a08ce6640fc0

[...]

> The polkit rules check in fwupdmgr doesn't make sense with Guix packaging, as
> it's checking if there is fwupd policy files in the polkit's store path.
> This will never be true, and the check will always fail.
>
> One fix would be to skip the check completely. But that seems unnecessary as
> the polkit actions are always in /etc/polkit-1/actions on the Guix system.
> On foreign distros, it will be necessary to turn the check off manually by
> FWUPD_POLKIT_NOCHECK=1. But it's important to note that this was the case even
> till now, there is no new breakage. I think it's unlikely someone will be
> using fwupd package from Guix on foreign distros anyway.
>
> * gnu/packages/firmware.scm (fwupd)[arguments]{phases}: substitute polkit
> actions directory to point to /etc/polkit-1/actions
>
> Change-Id: Ia29d7a32f68a3da7951f45fe823e3ab8059cb670

Applied, thanks!

Subject: [PATCH] gnu: fwupd: Add elogind input
From: Rutherther <[email-masked]>
To: [email-masked]
Cc: Rutherther <[email-masked]>
Date: Fri, 11 Apr 2025 19:50:56 +0200
List-Id: <debbugs-submit.debbugs.gnu.org>

The fwupd package doesn't contain the dbus service in
share/dbus-1/system-service, that is because it is installed only
conditionally when elogind is available.

This will introduce the service in the output, so user's won't have to start
fwupd themselves, it will get started by dbus on demand.

I don't think this should break anything for systems that do not use elogin,
the only places this is used will fall back to error:
- https://github.com/fwupd/fwupd/blob/1.8.14/src/fu-util-common.c#L242,
- https://github.com/fwupd/fwupd/blob/1.8.14/src/fu-util-common.c#L287
Meaning users without elogind will get error either way, just a different kind
of error.

* gnu/packages/firmware.scm: (fwupd)[inputs]: Add elogind

Change-Id: Id44001de6950bb6b39f1b3bba316a08ce6640fc0
---
 gnu/packages/firmware.scm | 2 ++
 1 file changed, 2 insertions(+)

diff --git a/gnu/packages/firmware.scm b/gnu/packages/firmware.scm
index f04edefafe..5e89edc621 100644
--- a/gnu/packages/firmware.scm
+++ b/gnu/packages/firmware.scm
@@ -65,6 +65,7 @@ (define-module (gnu packages firmware)
   #:use-module (gnu packages embedded)
   #:use-module (gnu packages flashing-tools)
   #:use-module (gnu packages flex)
+  #:use-module (gnu packages freedesktop)
   #:use-module (gnu packages gawk)
   #:use-module (gnu packages gcc)
   #:use-module (gnu packages gettext)
@@ -289,6 +290,7 @@ (define-public fwupd
                          gettext-minimal))
     (inputs (append
              (list bash-completion
+                   elogind
                    libgudev
                    libxmlb
                    sqlite

base-commit: 13aeb3abf9a8f4a4db1afaacdac275b5b564afdc
prerequisite-patch-id: e39a216cb0ec18caa634a73b5ea378912d61ef7c
-- 
2.49.0